%global minorversion 0.8
%global xfceversion 4.16
%global _hardened_build 1

Name:           xfce4-datetime-plugin
Version:        0.8.2
Release:        1
Summary:        Date/time plugin for the Xfce panel
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
This plugin shows the date and time in the panel, and a calendar appears when you left-click on it.

%prep
%autosetup

%build
%configure --disable-static
%make_build


%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS THANKS
%license COPYING
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.8.2-1
- update to 0.8.2

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 0.8.1-1
- Update to 0.8.1

* Tue Jul 14 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.8.0-1
- Init package
